// main: ./main.less, out: ../style.css, compress: false

// ====================================================================================================================================
// VARIABLE
// ====================================================================================================================================

// colour
@vr__col-1:      #000000;
@vr__col-2:      #ffffff;
@vr__col-3:      #FF6F69;
@vr__col-4:      #e7e7e7;
@vr__col-5:      #333333;
@vr__col-6:      #a3a3a3;
@vr__col-6:      #34c464;
@vr__col-alpha:  rgba(0, 0, 0, 0.8);

// font dimension
@size__sm: 10px;
@size__rg: 14px;
@size__md: 18px;
@size__lg: 24px;
@size__xl: 32px;

@lineH: 100%;

// margin
@margin__rg: 20px;
@margin__md: 30px;
@margin__lg: 50px;
@margin__xl: 80px;

// max-width
@width-cnt__media: 90%;

//header height
@header__h: 100px;  

/* ====================================================================================================================================
STRUCTURE
======================================================================================================================================*/

// bg color
.bg-col__1          {    background-color: @vr__col-1;    }
.bg-col__2          {    background-color: @vr__col-2;    }
.bg-col__3          {    background-color: @vr__col-3;    }
.bg-col__4          {    background-color: @vr__col-4;    }
.bg-col__5          {    background-color: @vr__col-5;    }

@media @mq--smartphone {
  .cln-50           {    width: 100%;    }
  .cln-33,
  .cln-25           {    width: 50%;     }
}

// righe --------------------------------------------------------------------------------------------------------
.row-50             {    height: 50vh;   }
.row-100            {    height: 100vh;  }
@media @mq--smartphone {
  .row-50,
  .row-100          {    height: 100vh;  }
}

a {  color: inherit;  }
